| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RpcFeedCancelledException Class Reference

Exception thrown by the RPC API when the client cancels an input feed. More...

`#include <RpcFeedCancelledException.hpp>`

Inheritance diagram for RpcFeedCancelledException:
[legend]

## Public Member Functions

| RpcFeedCancelledException (RpcStatusCode reason)
| Constructor.
| RpcFeedCancelledException (const RpcFeedCancelledException &other) noexcept=default
| Copy constructor.
RpcFeedCancelledException & | operator= (const RpcFeedCancelledException &other) noexcept=default
| Copy assignment.
virtual | ~RpcFeedCancelledException () noexcept=default
| Destructor.
Public Member Functions inherited from RpcException
| RpcException (const std::string &message)
| Constructor.
| RpcException (const char *message)
| Constructor.
| RpcException (const RpcException &other) noexcept=default
| Copy constructor.
RpcException & | operator= (const RpcException &other) noexcept=default
| Copy assignment.
virtual | ~RpcException () noexcept=default
| Destructor.
const char * | what () const noexcept
| Returns the explanatory string.

## Detailed Description

Exception thrown by the RPC API when the client cancels an input feed.

## Constructor & Destructor Documentation

## ◆ RpcFeedCancelledException() [1/2]

RpcFeedCancelledException | ( | RpcStatusCode | reason | ) |

inline

Constructor.

## ◆ RpcFeedCancelledException() [2/2]

RpcFeedCancelledException | ( | const RpcFeedCancelledException & | other | ) |

default noexcept

Copy constructor.

## ◆ ~RpcFeedCancelledException()

virtual ~RpcFeedCancelledException | ( |  | ) |

virtual default noexcept

Destructor.

## Member Function Documentation

## ◆ operator=()

RpcFeedCancelledException & operator= | ( | const RpcFeedCancelledException & | other | ) |

default noexcept

Copy assignment.

The documentation for this class was generated from the following file:

- include/fastdds/dds/rpc/exceptions/RpcFeedCancelledException.hpp